List Bank Billet Deposit Batches
GETTag: api-baas-get-banking-billet-pix-deposit-batchDescription: Retrieve a list of bank billet deposit batches. Use optional filter parameters to refine your search./v1/banking/billet-pix-deposit-batches
Request
Query Parameters
Default value: 1
Page number.
Possible values: <= 100
Default value: 20
Page size. Max size is 100.
Possible values: [created_at]
Page sort attribute.
Possible values: [asc, desc]
Default value: asc
Page order.
Possible values: [UNDER_ANALYSIS, VALIDATED, REJECTED, GENERATED, FAILED]
Status.
Batch name.
Start date of the created at period in the format YYYY-MM-DD.
End date of the created at period in the format YYYY-MM-DD.
Header Parameters
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Responses
- 200
- 400
The billet batches returned successfully.
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
Page number.
Page size.
Page total.
Total of elements.
data object[]required
Bank billet pix deposit batch data.
Bank billet deposit batch ID.
Pix key ID.
Batch name.
Possible values: [UNDER_ANALYSIS, VALIDATED, REJECTED, GENERATED, FAILED]
Status.
Date on which the bank billets will be sent by email.
Whether the banking billets will be created using a template or not.
File ID (CSV).
Quantity of items (banking billets) of the batch
Creation date.
Update date.
{
"page": 1,
"page_size": 20,
"page_total": 20,
"total": 100,
"data": [
{
"id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"pix_key_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"batch_name": "January/26",
"status": "GENERATED",
"email_send_date": "2026-03-28",
"personalized": true,
"file_id": "64983ca9-6f13-4988-af37-c65fb31f5c65",
"items_count": 100,
"created_at": "2026-03-26T14:02:58.320Z",
"updated_at": "2026-03-26T14:02:58.320Z"
}
]
}
If any required params are missing or has invalid format or type.